Download it now!
Bug 116830 - DOCX import: table cell background is behind background shapes
Summary: DOCX import: table cell background is behind background shapes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.4 target:5.4....
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-05 14:52 UTC by Miklos Vajna
Modified: 2018-05-02 14:47 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (16.26 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-04-05 14:52 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2018-04-05 14:52:50 UTC
Created attachment 141136 [details]
Reproducer document.

Steps to reproduce:

1) open the attached bugdoc
2) observe the order of the table cell background, the paragraph background and the background shape

Expected result: shape background is behind paragraph/cell background color

Actual result: cell background is behind the shape, but paragraph background is not
Comment 1 Commit Notification 2018-04-05 18:13:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09954c381895f340c9b73af64b0833d8b4689c06

tdf#116830 sw: handle cell background for BACKGROUND_PARA_OVER_DRAWINGS

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-04-11 16:48:55 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8357e261be6715dd6c23219778362126d4a9844&h=libreoffice-6-0

tdf#116830 sw: handle cell background for BACKGROUND_PARA_OVER_DRAWINGS

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-04-17 08:34:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05ed69af14af8f138f69941c7c6186b39c742eb4&h=libreoffice-5-4

tdf#116830 sw: handle cell background for BACKGROUND_PARA_OVER_DRAWINGS

It will be available in 5.4.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-05-02 14:47:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b893304850077d98be0b1ed7a9b280a06632e05&h=libreoffice-5-4-7

tdf#116830 sw: handle cell background for BACKGROUND_PARA_OVER_DRAWINGS

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.